Subject: Re: bug#48125: 28.0.50; Display garbled by emoji variation sequence

From: Filipp Gunbin <[email-masked]>
Date: Fri, 30 Apr 2021 22:22:41 +0300

On 30/04/2021 21:01 +0300, Eli Zaretskii wrote:

>> From: Filipp Gunbin <[email-masked]>
>> Date: Fri, 30 Apr 2021 20:26:00 +0300
>>
>> I'm using standard macOS Terminal app, with font DejaVu Sans Mono
>> (latest release 2.37 from 2016, see https://dejavu-fonts.github.io).
>>
>> If I start gui Emacs with the same font, then the soccer ball doesn't
>> draw (C-u C-x = says "no font").
>>
>> So Terminal must be using glyphs from somewhere else to draw the soccer
>> ball…  But how can I find out what exactly?
>
> Ask the Terminal's developers?

Looks like it uses the "Apple Color Emoji" font.

Yes, I should probably report the bug to Apple, so this may be closed.

Thanks.